Subject: Trainer Candidate - Titto George
From: Titto George <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 17 Feb 2021 17:19:20 -0500

| | Tech Support Test

Name | Titto George
E-mail | [email-masked]
Phone Number | (+91) 9014248152
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station | I have my own 2/4 wheeler transport
Where do you currently live (area) | Hyderabad

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | | | |
Previous Employer 1 | Eunimart | Team Lead | 1/5/2020 | 44000
Previous Employer 2 | Amazon | Risk Investigator | 28/09/2018 | 38000

If Selected, how much time do you need to join? | Immediately
Please briefly describe your work experience specifically in training? | I've been working with different fields of customer relationships for the past 4 years. I started out as a customer service representative in Dell and moved my way up the ladder as a Team Lead for the customer service team. I have varied experience with different organizations such as Synchrony financials, Dell, Amazon, etc. Since all these companies serve customers in different ways, my experience has also been quite varied.● In terms of training, I have Mentored and trained New Hires onboarded into the EGC Team in Amazon, facilitating learning sessions and ensuring a smooth transition for them into the team.
Have you worked as a trainer in a Call Center/Customer Service/BPO Environment? | Yes
Please tell us below in 300 - 500 words about the most difficult situation you faced either while training or managing a team. | While I was working with my previous organization which was a start-up, there was one employee who had a will issue, he was not serious about his job cause of which there was a dip in the team's performance. I tried providing him with constructive feedback but he wasn't ready to work on it, finally, I decided to have an open conversation and realized that he did not find the work interesting enough and wasn't feeling motivated to work. I decided to delegate some of my work to him so he feels a bit more responsible. I also started the system of having accolades in which the top performers of the team will be given an appreciation and a small award weekly, this made all the employees including this employee feel motivated to work and it was noted that there was a significant improvement in the team's performance.

What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences)

The difference between providing good service and delivering great service is simple, in good service, you are barely keeping your customers satisfied.
While great customer service, we are not only keeping them satisfied but also keeping them loyal. Doing simple things like calling with an Estimated Time of Arrival (ETA) when they are approaching the limits of their normal response times or following-up after a service call, etc

What according to you makes you a good candidate for this position? | I have 4 years of experience in various fields of Customer Relationship. I started out as a customer service representative in Synchrony Financials and moved on to the Team Lead position for the customer service team. I am skilled at Customer Service and Support, Escalation Management, IT Operations, SLA Management, Operational Excellence, Issue Resolution, Process Transition, Five-why Analysis, Training, and Mentoring the new hires. I am currently pursuing Post Grad in Operations management with a focus on Business Operations.
On a scale of 1 - 5 please rate your fluency in spoken English | 4

| |